### Method

# Gtk MediaFile set_file

#### Declaration [src]

    void
    gtk_media_file_set_file (
      GtkMediaFile* self,
      GFile* file
    )

#### Description [src]

Sets the `GtkMediaFile` to play the given file.

If any file is still playing, stop playing it.

Sets property | `Gtk.MediaFile:file`

#### Parameters

`file` | `GFile*`
| The file to play.
| The argument can be `NULL`.
| The data is owned by the caller of the function.